#
# spec file for package govulncheck-vulndb
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define shortname vulndb

Name:           govulncheck-vulndb
Version:        0.0.20241218T202206
Release:        1.1
Summary:        Local copy of Go vulnerability database
License:        CC-BY-4.0
Group:          Development/Languages/Go
URL:            https://pkg.go.dev/vuln/
Source:         %{shortname}.zip
Suggests:       govulncheck
BuildArch:      noarch
BuildRequires:  unzip
# SLE-12 has s390 but the Go compiler is not supported on that arch
ExcludeArch:    s390

%description
govulncheck-vulndb provides a local copy of the Go vulnerability database
https://vuln.go.dev as files in the Open Source Vulnerability (OSV) schema.
This allows tools such as govulncheck to be used in offline environments.

Usage:

govulncheck -db file:///usr/share/vulndb

%prep
unzip %{SOURCE0} -d %{shortname}

%build

%install
install -d %{buildroot}%{_datadir}/%{shortname}
find . -name "*.json" -exec install -Dm644 \{\} %{buildroot}%{_datadir}/\{\} \;

%check

%files
%{_datadir}/%{shortname}

%changelog
* Wed Dec 18 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241218T202206 2024-12-18T20:22:06Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3333 CVE-2024-45338
* Wed Dec 18 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241218T163557 2024-12-18T16:35:57Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3331 CVE-2024-55885 GHSA-9j3m-fr7q-jxfw
  * GO-2024-3334 CVE-2024-28053 GHSA-qqc8-rv37-79q5
  * GO-2024-3335 CVE-2024-12289 GHSA-xx83-cxmq-x89m
  * GO-2024-3336 CVE-2024-55949 GHSA-cwq8-g58r-32hg
  * GO-2024-3337 CVE-2024-54083 GHSA-69pr-78gv-7c6h
  * GO-2024-3338 CVE-2024-48872 GHSA-826h-p4c3-477p
  * GO-2024-3339 GHSA-8wcc-m6j2-qxvm
  * GO-2024-3340 CVE-2024-54682 GHSA-v647-h8jj-fw5r
* Fri Dec 13 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241213T205935 2024-12-13T20:59:35Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2022-0635 CVE-2020-8912 GHSA-7f33-f4f5-xwgw
  * GO-2022-0646 CVE-2020-8911 GHSA-f5pg-7wfw-84q9
  * GO-2022-0828 CVE-2020-10696 GHSA-fx8w-mjvm-hvpc
  * GO-2023-2170 CVE-2023-3955 GHSA-q78c-gwqw-jcmc
  * GO-2023-2330 CVE-2023-3676 GHSA-7fxm-f474-hf8w
  * GO-2024-2901 CVE-2024-37032 GHSA-8hqg-whrw-pv92
  * GO-2024-3104 CVE-2024-45436 GHSA-846m-99qv-67mg
  * GO-2024-3122 CVE-2024-45039 GHSA-q3hw-3gm4-w5cr
  * GO-2024-3140 CVE-2024-8986 GHSA-xxxw-3j6h-q7h6
  * GO-2024-3169 CVE-2024-9407 GHSA-fhqq-8f65-5xfc
  * GO-2024-3186 CVE-2024-9675 GHSA-586p-749j-fhwp
  * GO-2024-3205 CVE-2024-44337 GHSA-xhr3-wf7j-h255
  * GO-2024-3218 CVE-2023-26248 GHSA-mqr9-hjr8-2m9w
  * GO-2024-3245 CVE-2024-39720 GHSA-95j2-w8x7-hm88
  * GO-2024-3248 CVE-2024-46528 GHSA-p26r-gfgc-c47h
  * GO-2024-3259 GHSA-p7mv-53f2-4cwj
  * GO-2024-3265 CVE-2024-52009 GHSA-gppm-hq3p-h4rp
  * GO-2024-3268 CVE-2022-31668 GHSA-r864-28pw-8682
  * GO-2024-3279 GHSA-7225-m954-23v7
  * GO-2024-3282 CVE-2024-12401 GHSA-r4pg-vg54-wxx4
  * GO-2024-3286 CVE-2024-10220 GHSA-27wf-5967-98gx
  * GO-2024-3293
  * GO-2024-3295 CVE-2024-53859 GHSA-55v3-xh23-96gh
  * GO-2024-3302 CVE-2024-53259 GHSA-px8v-pp82-rcvr
  * GO-2024-3306 CVE-2024-53257 GHSA-7mwh-q3xm-qh6p
  * GO-2024-3312 CVE-2024-6156 GHSA-4c49-9fpc-hc3v
  * GO-2024-3313 CVE-2024-6219 GHSA-jpmc-7p9c-4rxf
  * GO-2024-3314 CVE-2024-55601 GHSA-c2xf-9v2r-r2rx
  * GO-2024-3315 CVE-2024-46455
  * GO-2024-3319 GHSA-vmg2-r3xv-r3xf
  * GO-2024-3321 CVE-2024-45337 GHSA-v778-237x-gjrc
  * GO-2024-3323 CVE-2024-55658 GHSA-25w9-wqfq-gwqx
  * GO-2024-3324 CVE-2024-55660 GHSA-4pjc-pwgq-q9jp
  * GO-2024-3325 GHSA-c7xh-gjv4-4jgv
  * GO-2024-3326 CVE-2024-55659 GHSA-fqj6-whhx-47p7
  * GO-2024-3327 CVE-2024-55657 GHSA-xx68-37v4-4596
  * GO-2024-3330 GHSA-7prj-hgx4-2xc3
* Mon Dec  9 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241209T183251 2024-12-09T18:32:51Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3284 CVE-2024-37820 GHSA-9g6g-xqv5-8g5w
  * GO-2024-3286 CVE-2024-10220 GHSA-27wf-5967-98gx
  * GO-2024-3287 CVE-2024-45719 GHSA-mr95-vfcf-fx9p
  * GO-2024-3288 GHSA-7f6p-phw2-8253
  * GO-2024-3289 CVE-2024-6538 GHSA-v3w7-g6p2-mpx7
  * GO-2024-3290 CVE-2024-52529 GHSA-xg58-75qf-9r67
  * GO-2024-3291 CVE-2024-43784 GHSA-hh33-46q4-hwm2
  * GO-2024-3292 CVE-2024-8676 GHSA-7p9f-6x8j-gxxp
  * GO-2024-3294 CVE-2024-53264
  * GO-2024-3296 CVE-2024-53858 GHSA-jwcm-9g39-pmcw
  * GO-2024-3299 CVE-2024-52003 GHSA-h924-8g65-j9wg
  * GO-2024-3300 CVE-2024-52801 GHSA-6943-qr24-82vx
  * GO-2024-3302 CVE-2024-53259 GHSA-px8v-pp82-rcvr
  * GO-2024-3303 CVE-2024-53862
  * GO-2024-3304 CVE-2024-36621 GHSA-2mj3-vfvx-fc43
  * GO-2024-3305 CVE-2024-36623 GHSA-gh5c-3h97-2f3q
  * GO-2024-3307 CVE-2024-50948
  * GO-2024-3308 CVE-2024-54131 GHSA-66q9-2rvx-qfj5
  * GO-2024-3310 CVE-2024-54132 GHSA-2m9h-r57g-45pj
  * GO-2024-3311 CVE-2024-36620 GHSA-q59j-vv4j-v33c
  * GO-2024-3312 CVE-2024-6156
  * GO-2024-3313 CVE-2024-6219
* Thu Nov 21 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241121T195252 2024-11-21T19:52:52Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3279 GHSA-7225-m954-23v7
  * GO-2024-3280 CVE-2024-52282 GHSA-9c5p-35gj-jqp4
  * GO-2024-3281 CVE-2024-52280 GHSA-j5hq-5jcr-xwx7
  * GO-2024-3282 GHSA-r4pg-vg54-wxx4
  * GO-2024-3283 CVE-2024-52309
* Wed Nov 20 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241120T172248 2024-11-20T17:22:48Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3140 CVE-2024-8986 GHSA-xxxw-3j6h-q7h6
  * GO-2024-3259 GHSA-p7mv-53f2-4cwj
  * GO-2024-3265 CVE-2024-52009 GHSA-gppm-hq3p-h4rp
* Tue Nov 19 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241119T173509 2024-11-19T17:35:09Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2022-0646 CVE-2020-8911 CVE-2020-8912 GHSA-7f33-f4f5-xwgw GHSA-f5pg-7wfw-84q9
  * GO-2024-3267 CVE-2024-52010 GHSA-7hpf-g48v-hw3j
  * GO-2024-3269 CVE-2024-52308 GHSA-p2h2-3vg9-4p87
  * GO-2024-3271 CVE-2024-52522
  * GO-2024-3272 CVE-2024-24425
  * GO-2024-3273 CVE-2024-24426
  * GO-2024-3274 CVE-2023-0109 GHSA-5r2g-59px-3q9w
  * GO-2024-3275 CVE-2024-44625 GHSA-phm4-wf3h-pc3r
  * GO-2024-3277 CVE-2024-0793 GHSA-h7wq-jj8r-qm7p
  * GO-2024-3278 CVE-2024-9526
* Tue Nov 12 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241112T145010 2024-11-12T14:50:10Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3250 CVE-2024-51744 GHSA-29wx-vh33-7x7r
* Fri Nov  8 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241108T172500 2024-11-08T17:25:00Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3260 CVE-2024-45794 GHSA-q78v-cv36-8fxj
  * GO-2024-3262 CVE-2024-10975 GHSA-2w5v-x29g-jw7j
* Wed Nov  6 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241106T172143 2024-11-06T17:21:43Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3251 CVE-2024-10389 GHSA-q3rp-vvm7-j8jg
  * GO-2024-3252 CVE-2024-51746 GHSA-8pmp-678w-c8xx
  * GO-2024-3253 CVE-2024-48057 GHSA-ghx4-cgxw-7h9p
  * GO-2024-3254 CVE-2024-51735 GHSA-wvv7-wm5v-w2gv
* Mon Nov  4 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241104T154416 2024-11-04T15:44:16Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3233 CVE-2024-46872 GHSA-762g-9p7f-mrww
  * GO-2024-3234 CVE-2024-47401 GHSA-762v-rq7q-ff97
  * GO-2024-3235 CVE-2024-50052 GHSA-g376-m3h3-mj4r
  * GO-2024-3237 CVE-2024-0133 GHSA-f748-7hpg-88ch
  * GO-2024-3239 CVE-2024-0132 GHSA-mjjw-553x-87pq
  * GO-2024-3240 CVE-2024-10452 GHSA-66c4-2g2v-54qw
  * GO-2024-3241 CVE-2024-10006 GHSA-5c4w-8hhh-3c3h
  * GO-2024-3242 CVE-2024-10086 GHSA-99wr-c2px-grmh
  * GO-2024-3243 CVE-2024-10005 GHSA-chgm-7r52-whjj
* Fri Nov  1 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241101T215616 2024-11-01T21:56:16Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3244 CVE-2024-50354 GHSA-cph5-3pgr-c82g
  * GO-2024-3245 CVE-2024-39720
  * GO-2024-3246 CVE-2024-8185 GHSA-g233-2p4r-3q7v
* Wed Oct 30 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241030T212825 2024-10-30T21:28:25Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3230 CVE-2024-48921 GHSA-qjvc-p88j-j9rm
  * GO-2024-3232 CVE-2024-10241 GHSA-6mvp-gh77-7vwh
* Wed Oct 30 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241030T160108 2024-10-30T16:01:08Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3226 CVE-2024-47827 GHSA-ghjw-32xw-ffwr
  * GO-2024-3227 CVE-2024-10214 GHSA-hm57-h27x-599c
  * GO-2024-3228 GHSA-wcx9-ccpj-hx3c
- Packaging improvments:
  * Backfill CVE aliases in recent changelog entries
* Mon Oct 28 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Update to version 0.0.20241028T152002 2024-10-28T15:20:02Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3207 GHSA-p5wf-cmr4-xrwr
  * GO-2024-3208 CVE-2024-47825 GHSA-3wwx-63fv-pfq6
  * GO-2024-3210 CVE-2024-8901
  * GO-2024-3211 CVE-2024-50312
  * GO-2024-3212 GHSA-rjfv-pjvx-mjgv
  * GO-2024-3213 CVE-2024-49380
  * GO-2024-3214 CVE-2024-49381
  * GO-2024-3215 CVE-2024-9264 GHSA-q99m-qcv4-fpm7
  * GO-2024-3216 CVE-2024-49753 GHSA-6cf5-w9h3-4rqv
  * GO-2024-3217 CVE-2024-49757 GHSA-3rmw-76m6-4gjc
  * GO-2024-3219 GHSA-7h65-4p22-39j6
  * GO-2024-3220 CVE-2023-32197 GHSA-7h8m-pvw3-5gh4
  * GO-2024-3221 CVE-2024-22036 GHSA-h99m-6755-rgwc
  * GO-2024-3222 GHSA-x7xj-jvwp-97rv
  * GO-2024-3223 CVE-2022-45157 GHSA-xj7w-r753-vj8v
  * GO-2024-3224 CVE-2024-39223 GHSA-8wxx-35qc-vp6r
* Thu Oct 17 2024 Jeff Kowalczyk jkowalczyk@suse.com>
- Update to version 0.0.20241017T153730 date 2024-10-17T15:37:30Z.
  Refs jsc#PED-11136
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3189 CVE-2024-38365 GHSA-27vh-h6mc-q6g8
  * GO-2024-3203 CVE-2024-9486
  * GO-2024-3204 CVE-2024-9594
* Wed Oct 16 2024 Jeff Kowalczyk <jkowalczyk@suse.com>
- Packaging improvements:
  * Add ExcludeArch: s390. Go is supported on s390x but not
    available on s390. Since the package will be submitted to
    SLE-12, do not build on s390 consistent with other Go tools for
    that arch.
  * Fix License: CC-BY-4.0
* Tue Oct 15 2024 Jeff Kowalczyk jkowalczyk@suse.com>
- Update to version 0.0.20241015T183857 date 2024-10-15T18:38:57Z.
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3189 CVE-2024-38365 GHSA-27vh-h6mc-q6g8
  * GO-2024-3196 CVE-2024-47877 GHSA-8rm2-93mq-jqhc
  * GO-2024-3199 GHSA-vv6c-69r6-chg9
  * GO-2024-3200 CVE-2024-48909 GHSA-3c32-4hq9-6wgj
  * GO-2024-3201 CVE-2023-22644
* Mon Oct 14 2024 Jeff Kowalczyk jkowalczyk@suse.com>
- Update to version 0.0.20241014T192043 date 2024-10-14T19:20:43Z.
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3166 CVE-2024-47534 GHSA-4f8r-qqr9-fq8j
  * GO-2024-3171 CVE-2024-9341 GHSA-mc76-5925-c5p6
* Thu Oct 10 2024 Jeff Kowalczyk jkowalczyk@suse.com>
- Update to version 0.0.20241011T143239 date 2024-10-11T14:32:39Z.
  Go CVE Numbering Authority IDs added or updated with aliases:
  * GO-2024-3161 CVE-2024-22030 GHSA-h4h5-9833-v2p4
  * GO-2024-3162 CVE-2024-7594 GHSA-jg74-mwgw-v6x3
  * GO-2024-3163 CVE-2024-47182
  * GO-2024-3164 CVE-2024-47003 GHSA-59hf-mpf8-pqjh
  * GO-2024-3166 CVE-2024-47534 GHSA-4f8r-qqr9-fq8j
  * GO-2024-3167 CVE-2024-9355 GHSA-3h3x-2hwv-hr52
  * GO-2024-3168 CVE-2024-8975 GHSA-chqx-36rm-rf8h
  * GO-2024-3169 CVE-2024-9407 GHSA-fhqq-8f65-5xfc
  * GO-2024-3170 CVE-2024-8996 GHSA-m5gv-m5f9-wgv4
  * GO-2024-3172 CVE-2024-33662 GHSA-9mjw-79r6-c9m8
  * GO-2024-3173 CVE-2024-7558 GHSA-mh98-763h-m9v4
  * GO-2024-3174 CVE-2024-8037 GHSA-8v4w-f4r9-7h6x
  * GO-2024-3175 CVE-2024-8038 GHSA-xwgj-vpm9-q2rq
  * GO-2024-3179 CVE-2024-47616 GHSA-r7rh-jww5-5fjr
  * GO-2024-3181 CVE-2024-9313 GHSA-x5q3-c8rm-w787
  * GO-2024-3182 GHSA-wpr2-j6gr-pjw9
  * GO-2024-3184 CVE-2024-36814 GHSA-9cp9-8gw2-8v7m
  * GO-2024-3185 CVE-2024-47832
  * GO-2024-3186 CVE-2024-9675 GHSA-586p-749j-fhwp
  * GO-2024-3188 CVE-2024-9312 GHSA-4gfw-wf7c-w6g2
  * GO-2024-3190 CVE-2024-47067 GHSA-8pph-gfhp-w226
  * GO-2024-3191 CVE-2024-9180 GHSA-rr8j-7w34-xp5j
* Thu Sep 26 2024 Jeff Kowalczyk jkowalczyk@suse.com>
- Initial package govulncheck-vulndb version 0.0.20240926T182403:
  * Upstream vulndb.zip with modified date 2024-09-26T18:24:03Z
  * Previx version with 0.0.x to preserve options if upstream
    decides on a versioning scheme to supplement the timestamp
